<?php

use Illuminate\Database\Seeder;

class FormBlocksTableSeeder extends Seeder {
  /**
   * Run the database seeds.
   *
   * @return void
   */
  public function run() {
    DB::table( 'form_blocks' )
      ->insert( [
                  [
                    'view_no'               => 1,
                    'delete_flag'           => 0,
                    'title'                 => 'お名前',
                    'form_type'             => 'text',
                    'name'                  => 'name',
                    'html_class'            => 'form-control',
                    'html_id'               => 'name',
                    'required_error_msg'    => 'お名前を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 2,
                    'delete_flag'           => 0,
                    'title'                 => 'フリガナ',
                    'form_type'             => 'text',
                    'name'                  => 'furigana',
                    'html_class'            => 'form-control',
                    'html_id'               => 'furigana',
                    'required_error_msg'    => 'フリガナを入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 3,
                    'delete_flag'           => 0,
                    'title'                 => '郵便番号',
                    'form_type'             => 'text',
                    'name'                  => 'zip',
                    'html_class'            => 'form-control',
                    'html_id'               => 'zip',
                    'required_error_msg'    => '郵便番号を入力してください',
                    'restriction_error_msg' => '郵便番号(000-0000)の形式で入力してください',
                    'length_error_msg'      => '',
                    'restriction'           => 'zip_hyphen',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 4,
                    'delete_flag'           => 0,
                    'title'                 => '都道府県',
                    'form_type'             => 'select',
                    'name'                  => 'pref',
                    'html_class'            => 'form-control',
                    'html_id'               => 'pref',
                    'required_error_msg'    => '都道府県を選択してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 5,
                    'delete_flag'           => 0,
                    'title'                 => '住所',
                    'form_type'             => 'text',
                    'name'                  => 'address',
                    'html_class'            => 'form-control',
                    'html_id'               => 'address',
                    'required_error_msg'    => '住所を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 6,
                    'delete_flag'           => 0,
                    'title'                 => '電話番号',
                    'form_type'             => 'tel',
                    'name'                  => 'tel',
                    'html_class'            => 'form-control',
                    'html_id'               => 'tel',
                    'required_error_msg'    => '電話番号を入力してください',
                    'restriction_error_msg' => '電話番号の形式(000-0000-0000)で入力してください',
                    'length_error_msg'      => '',
                    'restriction'           => 'tel_hyphen',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 7,
                    'delete_flag'           => 0,
                    'title'                 => 'メールアドレス',
                    'form_type'             => 'email',
                    'name'                  => 'email',
                    'html_class'            => 'form-control',
                    'html_id'               => 'email',
                    'required_error_msg'    => 'メールアドレスを入力してください',
                    'restriction_error_msg' => 'メールアドレスの形式で入力してください',
                    'length_error_msg'      => '',
                    'restriction'           => 'email',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 8,
                    'delete_flag'           => 0,
                    'title'                 => 'メールアドレス確認用',
                    'form_type'             => 'email',
                    'name'                  => 'conf_email',
                    'html_class'            => 'form-control',
                    'html_id'               => 'conf_email',
                    'required_error_msg'    => '確認用メールアドレスを入力してください',
                    'restriction_error_msg' => '確認用メールアドレスの形式で入力してください',
                    'length_error_msg'      => '',
                    'restriction'           => 'email',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 9,
                    'delete_flag'           => 0,
                    'title'                 => 'お問い合せ内容',
                    'form_type'             => 'textarea',
                    'name'                  => 'contents',
                    'html_class'            => 'form-control',
                    'html_id'               => 'contents',
                    'required_error_msg'    => 'お問い合せ内容を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 10,
                    'delete_flag'           => 0,
                    'title'                 => '添付画像',
                    'form_type'             => 'file',
                    'name'                  => 'attach_image',
                    'html_class'            => 'form-control',
                    'html_id'               => 'attach_image',
                    'required_error_msg'    => '添付画像を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => 'image/png,image/jpeg',
                    'file_capacity_limit'   => '2048',
                  ],
                  [
                    'view_no'               => 11,
                    'delete_flag'           => 0,
                    'title'                 => '姓',
                    'form_type'             => 'text',
                    'name'                  => 'last_name',
                    'html_class'            => 'form-control',
                    'html_id'               => 'last_name',
                    'required_error_msg'    => '姓を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 12,
                    'delete_flag'           => 0,
                    'title'                 => '名',
                    'form_type'             => 'text',
                    'name'                  => 'first_name',
                    'html_class'            => 'form-control',
                    'html_id'               => 'first_name',
                    'required_error_msg'    => '姓を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 13,
                    'delete_flag'           => 0,
                    'title'                 => 'フリガナ姓',
                    'form_type'             => 'text',
                    'name'                  => 'last_name_furigana',
                    'html_class'            => 'form-control',
                    'html_id'               => 'last_name_furigana',
                    'required_error_msg'    => 'フリガナ姓を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 14,
                    'delete_flag'           => 0,
                    'title'                 => 'フリガナ名',
                    'form_type'             => 'text',
                    'name'                  => 'first_name_furigana',
                    'html_class'            => 'form-control',
                    'html_id'               => 'first_name_furigana',
                    'required_error_msg'    => 'フリガナ名を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 15,
                    'delete_flag'           => 0,
                    'title'                 => 'FAX番号',
                    'form_type'             => 'tel',
                    'name'                  => 'fax',
                    'html_class'            => 'form-control',
                    'html_id'               => 'fax',
                    'required_error_msg'    => 'FAX番号を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 16,
                    'delete_flag'           => 0,
                    'title'                 => '会社名',
                    'form_type'             => 'text',
                    'name'                  => 'company_name',
                    'html_class'            => 'form-control',
                    'html_id'               => 'company_name',
                    'required_error_msg'    => '会社名を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 17,
                    'delete_flag'           => 0,
                    'title'                 => '担当者名',
                    'form_type'             => 'text',
                    'name'                  => 'staff_name',
                    'html_class'            => 'form-control',
                    'html_id'               => 'staff_name',
                    'required_error_msg'    => '担当者名を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 18,
                    'delete_flag'           => 0,
                    'title'                 => '役職',
                    'form_type'             => 'text',
                    'name'                  => 'official_position',
                    'html_class'            => 'form-control',
                    'html_id'               => 'official_position',
                    'required_error_msg'    => '役職を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 19,
                    'delete_flag'           => 0,
                    'title'                 => '日付',
                    'form_type'             => 'date',
                    'name'                  => 'date',
                    'html_class'            => 'form-control',
                    'html_id'               => 'date',
                    'required_error_msg'    => '日付を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 20,
                    'delete_flag'           => 0,
                    'title'                 => '時刻',
                    'form_type'             => 'time',
                    'name'                  => 'time',
                    'html_class'            => 'form-control',
                    'html_id'               => 'time',
                    'required_error_msg'    => '時刻を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 21,
                    'delete_flag'           => 0,
                    'title'                 => '住所',
                    'form_type'             => 'zp_address',
                    'name'                  => 'zp_address',
                    'html_class'            => 'form-control',
                    'html_id'               => '',
                    'required_error_msg'    => '住所を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],
                  [
                    'view_no'               => 22,
                    'delete_flag'           => 0,
                    'title'                 => '氏名',
                    'form_type'             => 'first_last_name',
                    'name'                  => 'first_last_name',
                    'html_class'            => 'form-control',
                    'html_id'               => '',
                    'required_error_msg'    => 'お名前を入力してください',
                    'restriction_error_msg' => '',
                    'length_error_msg'      => '',
                    'restriction'           => '',
                    'min_length'            => '',
                    'max_length'            => '',
                    'initial_value'         => '',
                    'placeholder'           => '',
                    'columns'               => '',
                    'file_type'             => '',
                    'file_capacity_limit'   => '',
                  ],

                ] );
  }
}
