@extends('admin.layout')
@section('title', __("admin_messages.page_title_form_create") ." | ". __("admin_messages.page_title"))
@section('description', __("admin_messages.page_description"))
@section('content')
    <div class="container-fluid">
        <div class="button_area">
            <a href="javascript:void (0);" id="formRegistBtn" class="btn btn-sm btn-outline-primary" data-toggle="tooltip" data-title="{{__("admin_messages.save")}}" onclick="$('#main_form').submit();">
                <i class="fas fa-save"></i>&nbsp;{{__("admin_messages.save")}}
            </a>
        </div>
        <div class="row">
            <div class="col-12 mt-3 mb-1">
                <h3 class="page-header">{{__("admin_messages.menu.form_regist")}}</h3>
            </div>
        </div>

        @if ($errors->any())
            <div class="row mb-1">
                <ul class="col-6 list-group m-0">
                    @foreach ($errors->all() as $error)
                        <li class="list-group-item list-group-item-danger">{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif

        <div class="row">
            <div class="col-12">
                @isset($append['admin_from_create_upper_form']){!! $append['admin_from_create_upper_form'] !!}@endisset
                <form action="{{ route("admin.form.create") }}" method="post" id="main_form">
                    @csrf
                    @isset($append['admin_from_create_form_hidden']){!! $append['admin_from_create_form_hidden'] !!}@endisset
                    <table class="table table-hover">
                        @isset($append['admin_from_create_form_item_top']){!! $append['admin_from_create_form_item_top'] !!}@endisset
                        <tr>
                            <th>{{__("admin_messages.form.disp")}}</th>
                            <td colspan="2">
                                <div class="custom-control custom-switch">
                                    <input type="checkbox" name="view_flag" value="1" class="custom-control-input" id="custom_switch_view_flag" @if (old('view_flag') == 1) checked @endif>
                                    <label class="custom-control-label" for="custom_switch_view_flag">{{__("admin_messages.form.displaying")}}</label>
                                </div>
                            </td>
                        </tr>

                        <tr>
                            <th>{{__("admin_messages.form.folder")}}</th>
                            <td class="form-inline">
                                {{ config("app.url") }}/<input type="text" name="url" id="url" class="form-control" value="{{old('url')}}">
                            </td>
                        </tr>

                        <tr>
                            <th>{{ __('admin_messages.form.name') }}<span class="red f80">※</span></th>
                            <td colspan="2">
                                <input type="text" name="name" id="name" class="form-control" value="{{old('name')}}">
                            </td>
                        </tr>

                        <tr>
                            <th>{{__("admin_messages.form.mail_configure")}}</th>
                            <td colspan="2">
                                <div class="form-inline">
                                    <div class="custom-control custom-switch">
                                        <input type="checkbox" name="conf_mail_flag" value="1" class="custom-control-input" id="custom_switch_conf_mail_flag" @if (old('conf_mail_flag') == 1) checked @endif>
                                        <label class="custom-control-label" for="custom_switch_conf_mail_flag">{{__("admin_messages.form.conf_mail")}}</label>
                                    </div>
                                </div>
                                <div class="form-inline">
                                    <div class="custom-control custom-switch">
                                        <input type="checkbox" name="include_submissions" value="1" class="custom-control-input" id="custom_switch_include_submissions" @if (old('include_submissions') == 1) checked @endif>
                                        <label class="custom-control-label" for="custom_switch_include_submissions">{{__("admin_messages.form.include_submissions")}}</label>
                                    </div>
                                </div>
                                <div class="form-inline">
                                    <div class="custom-control custom-switch">
                                        <input type="checkbox" name="include_submissions_admin_email" value="1" class="custom-control-input" id="custom_switch_include_submissions_admin_email" @if (old('include_submissions_admin_email') == 1) checked @endif>
                                        <label class="custom-control-label" for="custom_switch_include_submissions_admin_email">{{__("admin_messages.form.include_submissions_admin_email")}}</label>
                                    </div>
                                </div>
                            </td>
                        </tr>

                        <tr>
                            <th>{{__("admin_messages.form.theme")}}</th>
                            <td colspan="2">
                                <div class="row">
                                    @foreach( $theme as $theme_row)
                                        <div class="col-3">
                                            <div class="custom-control custom-radio">
                                                <input type="radio" id="theme_radio{{$loop->iteration}}" name="theme_name" value="{{$theme_row->theme_name}}" class="custom-control-input" @if (old('theme_name') == $theme_row->theme_name) checked @endif>
                                                <label class="custom-control-label" for="theme_radio{{$loop->iteration}}">
                                                    <img src="{{$theme_row->screen_shot}}" class="img-thumbnail" style="max-height: 200px; max-width: 200px;"/>
                                                    <p>{{$theme_row->theme_name}}</p>
                                                </label>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </td>
                        </tr>

                        <tr>
                            <th>{{__("admin_messages.form.admin_email")}}<span class="red f80">※</span></th>
                            <td colspan="2">
                                <input type="text" name="admin_email" id="admin_email" class="form-control" value="{{old('admin_email')}}">
                            </td>
                        </tr>

                        <tr>
                            <th>{{__("admin_messages.form.bcc_email")}}</th>
                            <td colspan="2">
                                <input type="text" name="bcc_email" id="bcc_email" class="form-control" value="{{old('bcc_email')}}">
                            </td>
                        </tr>

                        <tr>
                            <th>{{__("admin_messages.form.cc_email")}}</th>
                            <td colspan="2">
                                <input type="text" name="cc_email" id="cc_email" class="form-control" value="{{old('cc_email')}}">
                            </td>
                        </tr>

                        <tr>
                            <th>{{__("admin_messages.form.mail_title")}}<span class="red f80">※</span></th>
                            <td>
                                <input type="text" name="mail_title" id="mail_title" class="form-control" value="{{old('mail_title')}}">
                            </td>
                            <td rowspan="3" class="table_row3" style="max-width: 500px;">
                                <p class="mb-0 mt-2 font80">{{__("admin_messages.form.date_time_tag")}}</p>
                                <a href="javascript:void(0);" class="btn btn-sm btn-outline-secondary mt-1 copy_btn" data-val="#YYYY#">{{__("admin_messages.form.four_digit_year_tag")}}#YYYY#</a>
                                <a href="javascript:void(0);" class="btn btn-sm btn-outline-secondary mt-1 copy_btn" data-val="#YY#">{{__("admin_messages.form.two_digit_year_tag")}}#YY#</a>
                                <a href="javascript:void(0);" class="btn btn-sm btn-outline-secondary mt-1 copy_btn" data-val="#MM#">{{__("admin_messages.form.month_tag")}}#MM#</a>
                                <a href="javascript:void(0);" class="btn btn-sm btn-outline-secondary mt-1 copy_btn" data-val="#DD#">{{__("admin_messages.form.day_tag")}}#DD#</a>
                                <a href="javascript:void(0);" class="btn btn-sm btn-outline-secondary mt-1 copy_btn" data-val="#KWE#">{{__("admin_messages.form.kwe_tag")}}#KWE#</a>
                                <a href="javascript:void(0);" class="btn btn-sm btn-outline-secondary mt-1 copy_btn" data-val="#AWE#">{{__("admin_messages.form.awe_tag")}}#AWE#</a>
                                <a href="javascript:void(0);" class="btn btn-sm btn-outline-secondary mt-1 copy_btn" data-val="#HH#">{{__("admin_messages.form.hour_tag")}}#HH#</a>
                                <a href="javascript:void(0);" class="btn btn-sm btn-outline-secondary mt-1 copy_btn" data-val="#MI#">{{__("admin_messages.form.min_tag")}}#MI#</a>
                                <a href="javascript:void(0);" class="btn btn-sm btn-outline-secondary mt-1 copy_btn" data-val="#SS#">{{__("admin_messages.form.sec_tag")}}#SS#</a>
                                <p class="mb-0 mt-2 font80">{{__("admin_messages.form.sender_tag")}}</p>
                                <a href="javascript:void(0);" class="btn btn-sm btn-outline-secondary mt-1 copy_btn" data-val="#IP#">{{__("admin_messages.form.ipaddress_tag")}}#IP#</a>
                                <a href="javascript:void(0);" class="btn btn-sm btn-outline-secondary mt-1 copy_btn" data-val="#HOST#">{{__("admin_messages.form.host_tag")}}#HOST#</a>
                                <a href="javascript:void(0);" class="btn btn-sm btn-outline-secondary mt-1 copy_btn" data-val="#UA#">{{__("admin_messages.form.user_agent_tag")}}#UA#</a>
                                <p class="mb-0 mt-2 font80">{{__("admin_messages.form.answer_tag")}}</p>
                                <p class="font80">{{__("admin_messages.form.tag_information")}}</p>
                                <input type="text" id="copy_text" style="display:none;">
                            </td>
                        </tr>

                        <tr>
                            <th>
                                {{ __("admin_messages.form.reply_mail_header_message") }}
                            </th>
                            <td>
                                <textarea id="reply_mail_header_message" class="form-control" name="reply_mail_header_message" cols="45" rows="3">{{old('reply_mail_header_message')}}</textarea>
                            </td>
                        </tr>

                        <tr>
                            <th>
                                {{ __("admin_messages.form.reply_mail_footer_message") }}
                            </th>
                            <td>
                                <textarea id="reply_mail_footer_message" class="form-control" name="reply_mail_footer_message" cols="45" rows="3">{{old('reply_mail_footer_message')}}</textarea>
                            </td>
                        </tr>

                        <tr>
                            <th>
                                {{ __("admin_messages.form.conf_form_header_message") }}
                            </th>
                            <td colspan="2">
                                <textarea id="conf_form_header_message" class="form-control" name="conf_form_header_message" cols="45" rows="3">{{old('conf_form_header_message')}}</textarea>
                            </td>
                        </tr>

                        <tr>
                            <th>
                                {{ __("admin_messages.form.conf_form_footer_message") }}
                            </th>
                            <td colspan="2">
                                <textarea id="conf_form_footer_message" class="form-control" name="conf_form_footer_message" cols="45" rows="3">{{old('conf_form_footer_message')}}</textarea>
                            </td>
                        </tr>

                        <tr>
                            <th>
                                {{ __("admin_messages.form.error_form_header_message") }}
                            </th>
                            <td colspan="2">
                                <textarea id="error_form_header_message" class="form-control" name="error_form_header_message" cols="45" rows="3">{{old('error_form_header_message')}}</textarea>
                            </td>
                        </tr>

                        <tr>
                            <th>
                                {{ __("admin_messages.form.error_form_footer_message") }}
                            </th>
                            <td colspan="2">
                                <textarea id="error_form_footer_message" class="form-control" name="error_form_footer_message" cols="45" rows="3">{{old('error_form_footer_message')}}</textarea>
                            </td>
                        </tr>

                        <tr>
                            <th>
                                {{ __("admin_messages.form.thanks_message") }}
                            </th>
                            <td colspan="2">
                                <textarea id="thanks_message" class="form-control" name="thanks_message" cols="45" rows="3">{{old('thanks_message')}}</textarea>
                            </td>
                        </tr>

                        <tr>
                            <th>
                                {{ __("admin_messages.form.google_re_captcha") }}
                            </th>
                            <td colspan="2">
                                <div class="row mb-1">
                                    <div class="col-3">{{ __("admin_messages.form.google_re_captcha_site_key") }}</div>
                                    <div class="col-9"><input type="text" name="google_re_captcha_site_key" id="google_re_captcha_site_key" class="form-control" value="{{old('google_re_captcha_site_key')}}" style="width: 400px;"></div>
                                </div>
                                <div class="row mb-1">
                                    <div class="col-3">{{ __("admin_messages.form.google_re_captcha_secret_key") }}</div>
                                    <div class="col-9"><input type="text" name="google_re_captcha_secret_key" id="google_re_captcha_secret_key" class="form-control" value="{{old('google_re_captcha_secret_key')}}" style="width: 400px;"></div>
                                </div>
                                <div class="row mb-1">
                                    <div class="col-3">{{ __("admin_messages.form.google_re_captcha_bottom_px") }}</div>
                                    <div class="col-9 form-inline"><input type="text" name="google_re_captcha_bottom_px" id="google_re_captcha_bottom_px" class="form-control" value="{{old('google_re_captcha_bottom_px')}}">px</div>
                                </div>
                            </td>
                        </tr>

                        <tr>
                            <th>{{__("admin_messages.form.save_data")}}</th>
                            <td colspan="2">
                                <div class="custom-control custom-switch">
                                    <input type="checkbox" name="save_data" value="1" class="custom-control-input" id="custom_switch_conf_save_data" {{ old('save_data') == 1 || !$errors->any() ? 'checked':'' }}>
                                    <label class="custom-control-label" for="custom_switch_conf_save_data">{{__("admin_messages.form.saved")}}</label>
                                </div>
                            </td>
                        </tr>

                        <tr>
                            <th>{{__("admin_messages.form.language")}}</th>
                            <td colspan="2">
                                <select name="language" id="language" class="form-control w-25">
                                    @foreach($lang as $key => $val)
                                        <option value="{!! $val->lang_name !!}" {{old('language') == $val->lang_name ? 'selected' : ''}}>{!! $val->lang_name !!}</option>
                                    @endforeach
                                </select>
                            </td>
                        </tr>

                        <tr>
                            <th>{{__("admin_messages.form.denied_ip")}}</th>
                            <td colspan="2">
                                <textarea id="denied_ip" class="form-control" name="denied_ip" cols="45" rows="3">{{old('denied_ip')}}</textarea>
                            </td>
                        </tr>

                        <tr>
                            <th>{{__("admin_messages.form.denied_ip_message")}}</th>
                            <td colspan="2">
                                <input type="text" name="denied_ip_host_error_msg" id="denied_ip_host_error_msg" class="form-control" value="{{old('denied_ip_host_error_msg')}}">
                            </td>
                        </tr>
                        @isset($append['admin_form_item_bottom']){!! $append['admin_form_item_bottom'] !!}@endisset
                        @isset($append['admin_from_create_form_item_bottom']){!! $append['admin_from_create_form_item_bottom'] !!}@endisset
                    </table>
                    @isset($append['admin_from_create_under_form']){!! $append['admin_from_create_under_form'] !!}@endisset
                </form>
            </div>
        </div>

    </div>
    <script>
      let is_rewrite        = false;
      $(window).on('beforeunload', function(e) {
        if ( is_rewrite === true ) {
          e.returnValue = "{{ __("admin_messages.form_item.no_saved_alert_msg") }}";
        }
      });
      $ ( document ).ready ( function() {
        $ ( '.form-control' ).on ( 'change', function() {
          is_rewrite = true;
        } );
        $ ( '.custom-control-input' ).on ( 'change', function() {
          is_rewrite = true;
        } );
        $ ( '#formRegistBtn' ).on ( 'click', function() {
          is_rewrite = false;
        } );
      } );

      $ ( document ).ready ( function( e ) {
        $ ( '.copy_btn' ).on ( 'click', function() {
          clip_board_copy ( $ ( this ).data ( "val" ) );
        } );

        function clip_board_copy ( val, top, left ) {
          console.log ( top );
          let copyInput = $ ( "#copy_text" );
          copyInput.css ( 'display', 'block' );
          copyInput.val ( val );
          copyInput.focus ();
          copyInput.select ();
          document.execCommand ( 'Copy' );
          copyInput.css ( 'display', 'none' );

          $.blockUI ( {
            message: "Copied " + val,
            fadeIn: 200,
            fadeOut: 300,
            timeout: 500,
            showOverlay: false,
            centerY: false,
            css: {
              width: '70%',
              height: 'auto',
              top: '8px',
              left: '15%',
              color: "#fff",
              'padding': '8px',
              'background-color': "#202020",
              'border-color': "#fff",
              'border-width': "2px",
              '-webkit-border-radius': '3px',
              '-moz-border-radius': '3px',
              '-o-border-radius': '3px',
              '-ms-border-radius': '3px',
              'border-radius': '3px',
              'font-weight': "nomal",
              'font-size': "1rem",
              opacity: 0.7,
              cursor: 'default'
            }
          } );
        }

      } );
    </script>
    @isset($append['admin_from_create_bottom_section']){!! $append['admin_from_create_bottom_section'] !!}@endisset
@endsection
