@extends('admin.layout')
@section('title', __("admin_messages.page_title_form_block_create") ." | ". __("admin_messages.page_title"))
@section('description', __("admin_messages.page_description"))
@section('content')
  <div class="container-fluid">
    <div class="button_area">
      <a href="javascript:void (0);" id="formRegistBtn" class="btn btn-sm btn-outline-primary" data-toggle="tooltip" data-title="{{__("admin_messages.save")}}" onclick="$('#main_form').submit();">
        <i class="fas fa-save"></i>&nbsp;{{__("admin_messages.save")}}
      </a>
    </div>
    <div class="row">
      <div class="col-4 mt-3 mb-1">
        <h3 class="page-header">{{__("admin_messages.menu.item_regist")}}</h3>
      </div>
    </div>

    @if ($errors->any())
      <div class="row mb-1">
        <ul class="col-6 list-group m-0">
          @foreach ($errors->all() as $error)
            <li class="list-group-item list-group-item-danger">{{ $error }}</li>
          @endforeach
        </ul>
      </div>
    @endif

    <div class="row">
      <div class="col-12">
        @isset($append['create_upper_form']){!! $append['create_upper_form'] !!}@endisset
        <form action="{{ route("admin.form_block.create") }}" method="post" enctype="multipart/form-data" id="main_form">
          @csrf
          @isset($append['admin_form_block_create_form_hidden']){!! $append['admin_form_block_create_form_hidden'] !!}@endisset
          <table class="table">
            @isset($append['admin_form_block_create_form_item_top']){!! $append['admin_form_block_create_form_item_top'] !!}@endisset
            <tr>
              <th>{{__("admin_messages.list_page.sort")}}<span class="red f80">※</span></th>
              <td>
                <input type="text" name="view_no" id="view_no" class="form-control" value="{{ old("view_no") ? old("view_no") : '1' }}">
              </td>
            </tr>
            <tr>
              <th>{{__("admin_messages.form_block.from_category")}}<span class="red f80">※</span></th>
              <td>
                <select name="form_type" id="form_type" class="form-control">
                  <option value="">{{__("admin_messages.form_block.choice")}}</option>
                  @foreach($form_type as $key => $value)
                    <option value="{{$key}}" {{ old("form_type") === $key ? 'selected' : '' }} >{{ __("admin_messages.form_type.".$key) }}</option>
                  @endforeach
                </select>
              </td>
            </tr>
            <tr>
              <th>{{__("admin_messages.form_block.title")}}<span class="red f80">※</span></th>
              <td>
                <input type="text" name="title" id="title" class="form-control" value="{{old('title')}}">
              </td>
            </tr>
            <tr class="name_input init-tr">
              <th>{{__("admin_messages.form_block.attr_name")}}</th>
              <td>
                <input type="text" name="name" id="name" class="form-control" value="{{old('name')}}">
              </td>
            </tr>
            <tr class="id_input init-tr">
              <th>{{__("admin_messages.form_block.attr_id")}}</th>
              <td>
                <input type="text" name="html_id" id="html_id" class="form-control" value="{{old('html_id')}}">
              </td>
            </tr>
            <tr class="class_input init-tr">
              <th>{{__("admin_messages.form_block.attr_class")}}</th>
              <td>
                <input type="text" name="html_class" id="html_class" class="form-control" value="{{old('html_class')}}">
              </td>
            </tr>
            <tr class="init-tr">
              <th>{{__("admin_messages.form_block.required_error_msg")}}</th>
              <td>
                <input type="text" name="required_error_msg" id="required_error_msg" class="form-control" value="{{old('required_error_msg')}}">
              </td>
            </tr>
            <tr class="hide-input text-input">
              <th>{{__("admin_messages.form_block.forbidden_characters")}}<p class="font80">{{__("admin_messages.form_block.forbidden_characters_input_msg")}}</p></th>
              <td>
                <input type="text" name="forbidden_characters" id="forbidden_characters" class="form-control" value="{{old('forbidden_characters')}}">
              </td>
            </tr>

            {{--text password textarea--}}
            <tr class="hide-input text-input">
              <th>{{__("admin_messages.form_block.restriction")}}</th>
              <td>
                <select name="restriction" id="restriction" class="form-control type_select_input">
                  <option value="">{{__("admin_messages.form_block.choice")}}</option>
                  @foreach($restriction as $key => $value)
                    <option value="{{$key}}" {{old('restriction') == $key ? 'selected' : ''}}>{{$value}}</option>
                  @endforeach
                </select>
              </td>
            </tr>
            <tr class="hide-input text-input">
              <th>{{__("admin_messages.form_block.restriction_error_msg")}}</th>
              <td>
                <input type="text" name="restriction_error_msg" id="restriction_error_msg" class="form-control type_select_input" value="{{old('restriction_error_msg')}}">
              </td>
            </tr>
            <tr class="hide-input text-input">
              <th>{{__("admin_messages.form_block.restriction_char_limit")}}</th>
              <td class="form-inline">
                <input type="number" name="min_length" id="min_length" class="form-control type_select_input" value="{{old('min_length')}}">～
                <input type="number" name="max_length" id="max_length" class="form-control type_select_input" value="{{old('max_length')}}">
              </td>
            </tr>
            <tr class="hide-input text-input">
              <th>{{__("admin_messages.form_block.restriction_char_limit_error_msg")}}</th>
              <td>
                <input type="text" name="length_error_msg" id="length_error_msg" class="form-control type_select_input" value="{{old('length_error_msg')}}">
              </td>
            </tr>
            <tr class="hide-input text-input">
              <th>{{__("admin_messages.form_block.initial_value")}}</th>
              <td>
                <input type="text" name="initial_value" id="initial_value" class="form-control type_select_input" value="{{old('initial_value')}}">
              </td>
            </tr>
            <tr class="hide-input text-input">
              <th>{{__("admin_messages.form_block.placeholder")}}</th>
              <td>
                <input type="text" name="placeholder" id="placeholder" class="form-control type_select_input" value="{{old('placeholder')}}">
              </td>
            </tr>
            <tr class="hide-input text-input">
              <th>{{__("admin_messages.form_block.re_enter_error_msg")}}</th>
              <td>
                <input type="text" name="re_enter_error_msg" id="re_enter_error_msg" class="form-control type_select_input" value="{{old('re_enter_error_msg')}}">
              </td>
            </tr>

            {{--select--}}
            <tr class="{{ old('select_choice_label_text') ? '' : 'hide-input' }}  select-input">
              <th>{{__("admin_messages.form_block.choice")}}</th>
              <td>
                <div class="col-1">
                  <i class="far fa-plus-square add_select_choice_btn"></i>
                </div>
                <div class="col-11">
                  <div id="select_choice_wrap">
                    @foreach((array)old('select_choice_label_text') as $value)
                      <div class="row form-inline mb-1">
                        <input type="text" name="select_choice_label_text[]" class="form-control type_select_input select_choice_label_text" value="{{$value}}">
                        <i class="far fa-trash-alt trash_select_choice_btn"></i>
                      </div>
                    @endforeach
                  </div>
                </div>
              </td>
            </tr>

            {{--radio checkbox--}}
            <tr class="{{ old('radio_choice_label_text') ? '' : 'hide-input' }}  radio-input">
              <th>{{__("admin_messages.form_block.choice")}}</th>
              <td>
                <div class="col-1">
                  <i class="far fa-plus-square add_radio_choice_btn"></i>
                </div>
                <div class="col-11">
                  <div id="radio_choice_wrap">
                    @foreach((array)old('radio_choice_label_text') as $value)
                      <div class="row form-inline mb-1">
                        <input type="text" name="radio_choice_label_text[]" class="form-control type_select_input radio_choice_label_text" value="{{$value}}">
                        <div id="choice_image_place"></div>
                        <input type="file" name="choice_image[]" class="form-control type_select_input" accept=".jpg,.png,.gif,image/jpeg">
                        <i class="far fa-trash-alt trash_radio_choice_btn"></i>
                      </div>
                    @endforeach
                  </div>
                </div>
              </td>
            </tr>

            <tr class="hide-input radio-input">
              <th>{{__("admin_messages.form_block.columns")}}</th>
              <td class="form-inline">
                <input type="number" name="columns" id="columns" class="form-control type_select_input" value="{{old('columns') ? old('columns') : '1'}}">
              </td>
            </tr>

            {{--file--}}
            <tr class="hide-input file-input">
              <th>{{__("admin_messages.form_block.file_type")}}</th>
              <td>
                <input type="text" name="file_type" id="file_type" class="form-control type_select_input" value="{{old('file_type')}}">
                <div class="row mt-1">
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('image/*');">{{__("admin_messages.form_block.image")}}(image/*)</a>
                  </div>
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('application/pdf');">{{__("admin_messages.form_block.pdf")}}（application/pdf）</a>
                  </div>
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('video/*');">{{__("admin_messages.form_block.movie")}}（video/*）</a>
                  </div>
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('text/csv');">{{__("admin_messages.form_block.csv")}}（text/csv）</a>
                  </div>
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('text/plain');">{{__("admin_messages.form_block.text")}}（text/plain）</a>
                  </div>
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('image/jpeg');">画像 JPEG（image/jpeg）</a>
                  </div>
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('image/png,image/jpeg');">画像 PNG JPEG（image/png,image/jpeg）</a>
                  </div>
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('image/png,image/jpeg,image/gif');">画像 PNG JPEG GIF（image/png,image/jpeg,image/gif）</a>
                  </div>
                </div>
              </td>
            </tr>
            <tr class="hide-input file-input">
              <th>{{__("admin_messages.form_block.file_capacity_limit")}}（kbyte）</th>
              <td class="form-inline">
                <input type="number" name="file_capacity_limit" id="file_capacity_limit" class="form-control type_select_input" value="{{old('file_capacity_limit')}}">kbyte
                <span class="font80 w-100">1MB = 1024kbyte</span>
              </td>
            </tr>
            {{-- description --}}
            <tr class="init-tr">
              <th>{{__("admin_messages.form_block.description_above")}}</th>
              <td>
                <textarea type="text" name="description_above" id="editor" class="form-control">{{ $data->description_above ?? old('description_above')}}</textarea>
              </td>
            </tr>
            <tr class="init-tr">
              <th>{{__("admin_messages.form_block.description_below")}}</th>
              <td>
                <textarea type="text" name="description_below" id="editor2" class="form-control">{{ $data->description_below ?? old('description_below')}}</textarea>
              </td>
            </tr>

            @isset($append['admin_form_block_create_form_item_bottom']){!! $append['admin_form_block_create_form_item_bottom'] !!}@endisset
          </table>
        </form>
        @isset($append['admin_form_block_create_under_form']){!! $append['admin_form_block_create_under_form'] !!}@endisset
      </div>
    </div>

  </div>
  @include('admin.include.editor')
  <style>
    .hide-input {
      display: none;
    }

    .fa-plus-square {
      color: cornflowerblue;
      font-size: 1.8rem;
      cursor: pointer;
    }

    .fa-trash-alt {
      color: #dc3545;
      margin-left: 5px;
      cursor: pointer;
    }

    input[type=file] {
      margin-left: 10px;
    }

    .form-inline .form-control.radio_choice_label_text, .form-inline .form-control.select_choice_label_text {
      width: 400px;
    }
  </style>
  <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">
  <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.js"></script>
  <script>
    $(document).ready(function() {
        $('#summernote').summernote({
          height: 300,
          toolbar: [
            [ 'style', [ 'style', 'bold', 'italic', 'underline', 'clear' ] ],
            [ 'font', [ 'strikethrough' ] ],
            [ 'fontsize', [ 'fontsize' ] ],
            [ 'height', [ 'height' ] ],
            [ 'color', [ 'color' ] ],
            [ 'table', [ 'table' ] ],
            [ 'insert', [ 'link', 'picture', 'video' ] ],
            [ 'para', [ 'ul', 'ol', 'paragraph' ] ],
            [ 'view', [ 'codeview' ] ],
          ],
        });
    });
  </script>
  <script>
    $ ( document ).ready ( function() {
      let select_choice_count = 0;
      let radio_choice_count  = 0;

      function all_hide () {
        $ ( ".select-input" ).addClass ( 'hide-input' );
        $ ( ".radio-input" ).addClass ( 'hide-input' );
        $ ( '.hide-input' ).hide ();
        $ ( '#radio_choice_wrap' ).html ( "" );
        $ ( '#select_choice_wrap' ).html ( "" );
        $ ( '.type_select_input' ).val ( "" );
      }

      $ ( '#form_type' ).on ( 'change', function() {
        all_hide ();
        if ( $ ( this ).val () == 'text' ||
          $ ( this ).val () == 'password' ||
          $ ( this ).val () == 'email' ||
          $ ( this ).val () == 'tel' ||
          $ ( this ).val () == 'url' ||
          $ ( this ).val () == 'number' ||
          $ ( this ).val () == 'textarea'
        ) {
          $ ( '.text-input' ).fadeIn ( 'fast' );
          $ ( '.init-tr' ).fadeIn ( 'fast' );
        }
        else if (
          $ ( this ).val () == 'date' ||
          $ ( this ).val () == 'datetime' ||
          $ ( this ).val () == 'month'
        ) {
          $ ( '.init-tr' ).fadeIn ( 'fast' );
        }
        else if ( $ ( this ).val () == 'select' || $ ( this ).val () == 'multi_select' ) {
          $ ( '.select-input' ).fadeIn ( 'fast' );
          $ ( '.init-tr' ).fadeIn ( 'fast' );
          add_select_choice_wrap ();
        }
        else if ( $ ( this ).val () == 'radio' || $ ( this ).val () == 'checkbox' ) {
          $ ( '.radio-input' ).fadeIn ( 'fast' );
          $ ( '.init-tr' ).fadeIn ( 'fast' );
          add_radio_choice_wrap ();
        }
        else if ( $ ( this ).val () == 'file' ) {
          $ ( '.file-input' ).fadeIn ( 'fast' );
          $ ( '.init-tr' ).fadeIn ( 'fast' );
        }
        else if ( $ ( this ).val () == 'zp_address' || $ ( this ).val () == 'first_last_name' ) {
          $ ( ".name_input" ).hide ();
          $ ( ".id_input" ).hide ();
          $ ( ".class_input" ).hide ();
        }
      } );

      $ ( '.add_select_choice_btn' ).on ( 'click', function() {
        add_select_choice_wrap ();
      } );
      $ ( '.add_radio_choice_btn' ).on ( 'click', function() {
        add_radio_choice_wrap ();
      } );

      $ ( document ).on ( 'click', '.trash_select_choice_btn', function() {
        $ ( this ).parent ().remove ();
        if ( select_choice_count > 0 ) select_choice_count--;
      } );

      $ ( document ).on ( 'click', '.trash_radio_choice_btn', function() {
        $ ( this ).parent ().remove ();
        if ( radio_choice_count > 0 ) radio_choice_count--;
      } );

      function add_select_choice_wrap () {
        let html = "<div class=\"row form-inline mb-1\">\n" +
          "<input type=\"text\" name=\"select_choice_label_text[]\" class=\"form-control type_select_input select_choice_label_text\" value=\"{{old('select_label_text"+select_choice_count+"')}}\">\n" +
          "<i class=\"far fa-trash-alt trash_select_choice_btn\"></i>" +
          "</div>\n";
        select_choice_count++;
        $ ( "#select_choice_wrap" ).append ( html );
      }

      function add_radio_choice_wrap () {
        let html = "<div class=\"row form-inline mb-1\">\n" +
          "<input type=\"text\" name=\"radio_choice_label_text[]\" class=\"form-control type_select_input radio_choice_label_text\" value=\"{{old('label_text"+radio_choice_count+"')}}\">\n" +
          "<div id=\"choice_image_place\"></div>\n" +
          "<input type=\"file\" name=\"choice_image[]\" class=\"form-control type_select_input\" accept=\".jpg,.png,.gif,image/jpeg\">\n" +
          "<i class=\"far fa-trash-alt trash_radio_choice_btn\"></i>" +
          "</div>\n";
        radio_choice_count++;
        $ ( "#radio_choice_wrap" ).append ( html );
      }
    } );
  </script>
  @isset($append['admin_form_block_create_bottom_section']){!! $append['admin_form_block_create_bottom_section'] !!}@endisset
@endsection
