@extends('admin.layout')
@section('title', __("admin_messages.page_title_form_item_edit") ." | ". __("admin_messages.page_title"))
@section('description', __("admin_messages.page_description"))
@section('content')
  <div class="container-fluid">
    <div class="button_area">
      <a href="javascript:void (0);" id="formRegistBtn" class="btn btn-sm btn-outline-primary" data-toggle="tooltip" data-title="{{__("admin_messages.save")}}" onclick="$('#rewForm').submit();">
        <i class="fas fa-save"></i>&nbsp;{{__("admin_messages.save")}}
      </a>
      @if(count($use_form_item_name) > 0 ||  $data['name'] == "email" && $data['html_id'] == "email" && $data['html_class'] == 'form-control')
        <a href="javascript:void (0);" class="btn btn-sm btn-default border-dark disabled" data-toggle="tooltip" data-title="{{__("admin_messages.cant_delete")}}">
          <i class="fas fa-trash"></i>&nbsp;{{__("admin_messages.cant_delete")}}
        </a>
      @else
        <a href="javascript:void (0);" class="btn btn-sm btn-danger detailDeleteBtn" data-toggle="tooltip" data-title="{{__("admin_messages.delete")}}">
          <i class="fas fa-trash"></i>&nbsp;{{__("admin_messages.delete")}}
        </a>
      @endif
    </div>
    <div class="row">
      <div class="col-3 mt-3 mb-1">
        <h3 class="page-header d-inline">{{__("admin_messages.form_block.form_block_edit")}}</h3>
        <a href="{{ route("admin.form_block.list") }}" class="btn btn-sm btn-outline-primary" data-toggle="tooltip" title="{{ __("admin_messages.form_block.back_to_form_block_list") }}">
          <i class="fas fa-list-alt"></i>&nbsp;{{ __("admin_messages.form_block.back_to_form_block_list") }}
        </a>
      </div>
      <div class="col-7 mt-3 mb-1">
        @foreach($use_form_item_name as $val)
          <a href="{{config( 'app.url' )}}/{{$val['url']}}" class="btn border-1 btn-outline-dark text-decoration-none mt-1 font80" target="_blank" data-toggle="tooltip" title="{{ __("admin_messages.form.open_form") }}">
            {{$val['name']}}&nbsp;&nbsp;<i class="fas fa-external-link-alt"></i>
          </a>
        @endforeach
      </div>
    </div>
    @include("admin.include.message")
    @if ($errors->any())
      <div class="row mt-1 mb-1">
        <ul class="col-6 list-group m-0">
          @foreach ($errors->all() as $error)
            <li class="list-group-item list-group-item-danger">{{ $error }}</li>
          @endforeach
        </ul>
      </div>
    @endif

    <div class="row mt-1">
      <div class="col-12">
        @isset($append['admin_form_block_edit_upper_form']){!! $append['admin_form_block_edit_upper_form'] !!}@endisset
        <form action="{{ route("admin.form_block.update", $data->id) }}" method="post" id="rewForm" enctype="multipart/form-data">
          @csrf
          @isset($append['admin_form_block_edit_form_hidden']){!! $append['admin_form_block_edit_form_hidden'] !!}@endisset
          <table class="table">
            @isset($append['admin_form_block_edit_form_item_top']){!! $append['admin_form_block_edit_form_item_top'] !!}@endisset
            <tr>
              <th>{{ __("admin_messages.list_page.sort") }}<span class="red f80">※</span></th>
              <td>
                <input type="text" name="view_no" id="view_no" class="form-control" value="{{ $data->view_no ? $data->view_no : '1' }}">
              </td>
            </tr>
            <tr>
              <th>{{ __("admin_messages.form_block.from_category") }}<span class="red f80">※</span></th>
              <td>
                <select name="form_type" id="form_type" class="form-control">
                  <option value="">{{ __("admin_messages.select") }}</option>
                  @foreach($form_type as $key => $value)
                    <option value="{{$key}}" {{ $data->form_type === $key ? 'selected' : '' }} >{{$value}}</option>
                  @endforeach
                </select>
              </td>
            </tr>
            <tr>
              <th>{{ __("admin_messages.form_block.title") }}<span class="red f80">※</span></th>
              <td>
                <input type="text" name="title" id="title" class="form-control" value="{{old("title") ? old("title") : $data->title}}">
              </td>
            </tr>
            <tr class="name_input init-tr">
              <th>{{ __("admin_messages.form_block.attr_name") }}</th>
              @if($data['name'] == "email" && $data['html_id'] == "email" && $data['html_class'] == 'form-control')
                <td>
                  <input type="text" name="name" id="name" class="form-control" value="{{old("name") ? old("name") : $data->name}}" disabled>
                  <input type="hidden" name="name" id="name" class="form-control" value="email">
                </td>
              @else
                <td>
                  <input type="text" name="name" id="name" class="form-control" value="{{old("name") ? old("name") : $data->name}}">
                </td>
              @endif
            </tr>
            <tr class="id_input init-tr">
              <th>{{ __("admin_messages.form_block.attr_id") }}</th>
              @if($data['name'] == "email" && $data['html_id'] == "email" && $data['html_class'] == 'form-control')
                <td>
                  <input type="text" name="html_id" id="html_id" class="form-control" value="{{old("html_id") ? old("html_id") : $data->html_id}}" disabled>
                </td>
              @else
                <td>
                  <input type="text" name="html_id" id="html_id" class="form-control" value="{{old("html_id") ? old("html_id") : $data->html_id}}">
                </td>
              @endif
            </tr>
            <tr class="class_input init-tr">
              <th>{{ __("admin_messages.form_block.attr_class") }}</th>
              @if($data['name'] == "email" && $data['html_id'] == "email" && $data['html_class'] == 'form-control')
                <td>
                  <input type="text" name="html_class" id="html_class" class="form-control" value="{{old("html_class") ? old("html_class") : $data->html_class}}" disabled>
                </td>
              @else
                <td>
                  <input type="text" name="html_class" id="html_class" class="form-control" value="{{old("html_class") ? old("html_class") : $data->html_class}}">
                </td>
              @endif
            </tr>
            <tr class="init-tr">
              <th>{{ __("admin_messages.form_block.required_error_msg") }}</th>
              <td>
                <input type="text" name="required_error_msg" id="required_error_msg" class="form-control" value="{{old("required_error_msg") ? old("required_error_msg") : $data->required_error_msg}}">
              </td>
            </tr>
            <tr class="hide-input text-input">
              <th>{{__("admin_messages.form_block.forbidden_characters")}}<p class="font80">{{__("admin_messages.form_block.forbidden_characters_input_msg")}}</p></th>
              <td>
                <input type="text" name="forbidden_characters" id="forbidden_characters" class="form-control" value="{{old("forbidden_characters") ? old("forbidden_characters") : $data->forbidden_characters}}">
              </td>
            </tr>

            {{--text password textarea--}}
            <tr class="hide-input text-input">
              <th>{{ __("admin_messages.form_block.restriction") }}</th>
              <td>
                <select name="restriction" id="restriction" class="form-control">
                  <option value="">{{ __("admin_messages.select") }}</option>
                  @foreach($restriction as $key => $value)
                    <option value="{{$key}}" @if ($data->restriction == $key) selected @endif>{{$value}}</option>
                  @endforeach
                </select>
              </td>
            </tr>
            <tr class="hide-input text-input">
              <th>{{ __("admin_messages.form_block.restriction_error_msg") }}</th>
              <td>
                <input type="text" name="restriction_error_msg" id="restriction_error_msg" class="form-control" value="{{old("restriction_error_msg") ? old("restriction_error_msg") : $data->restriction_error_msg}}">
              </td>
            </tr>
            <tr class="hide-input text-input">
              <th>{{ __("admin_messages.form_block.restriction_char_limit") }}</th>
              <td class="form-inline">
                <input type="number" name="min_length" id="min_length" class="form-control" value="{{old("min_length") ? old("min_length") : $data->min_length}}">～
                <input type="number" name="max_length" id="max_length" class="form-control" value="{{old("max_length") ? old("max_length") : $data->max_length}}">
              </td>
            </tr>
            <tr class="hide-input text-input">
              <th>{{ __("admin_messages.form_block.restriction_char_limit_error_msg") }}</th>
              <td>
                <input type="text" name="length_error_msg" id="length_error_msg" class="form-control" value="{{old("length_error_msg") ? old("length_error_msg") : $data->length_error_msg}}">
              </td>
            </tr>
            <tr class="hide-input text-input">
              <th>{{ __("admin_messages.form_block.initial_value") }}</th>
              <td>
                <input type="text" name="initial_value" id="initial_value" class="form-control" value="{{old("initial_value") ? old("initial_value") : $data->initial_value}}">
              </td>
            </tr>
            <tr class="hide-input text-input">
              <th>{{ __("admin_messages.form_block.placeholder") }}</th>
              <td>
                <input type="text" name="placeholder" id="placeholder" class="form-control" value="{{old("placeholder") ? old("placeholder") : $data->placeholder}}">
              </td>
            </tr>
            <tr class="hide-input text-input">
              <th>{{ __("admin_messages.form_block.re_enter_error_msg") }}</th>
              <td>
                <input type="text" name="re_enter_error_msg" id="re_enter_error_msg" class="form-control" value="{{old("re_enter_error_msg") ? old("re_enter_error_msg") : $data->re_enter_error_msg}}">
              </td>
            </tr>

            {{--select--}}
            <tr class="hide-input select-input">
              <th>{{ __("admin_messages.form_block.choice") }}</th>
              <td>
                <div class="col-1">
                  <i class="far fa-plus-square add_select_choice_btn"></i>
                </div>
                <div class="col-11">
                  <div id="select_choice_wrap">
                    @foreach($select_choice as $row)
                      <div class="row form-inline mb-1">
                        <input type="text" name="select_choice_label_text[]" class="form-control type_select_input select_choice_label_text" value="{{$row->label_text}}">
                        <i class="far fa-trash-alt trash_select_choice_btn"></i>
                      </div>
                    @endforeach
                  </div>
                </div>
              </td>
            </tr>

            {{--radio checkbox--}}
            <tr class="hide-input radio-input">
              <th>{{ __("admin_messages.form_block.choice") }}</th>
              <td>
                <div class="col-1">
                  <i class="far fa-plus-square add_radio_choice_btn"></i>
                </div>
                <div class="col-11">
                  <div id="radio_choice_wrap">
                    @foreach($radio_choice as $row)
                      <div class="row form-inline mb-1">
                        <input type="hidden" name="radio_choice_id[]" value="@isset($row->id){{$row->id}}@endisset"/>
                        <input type="hidden" name="choice_image_old[]" value="@isset($row->image){{$row->image}}@endisset"/>
                        <input type="text" name="radio_choice_label_text[]" class="form-control type_select_input radio_choice_label_text" value="@isset($row->label_text){{$row->label_text}}@endisset">
                        @isset($row->image)
                          <img src="{{ url(Storage::disk('form_item_image')->url($row->image)) }}" class="img-thumbnail choice_img"/>
                        @endisset
                        <div class="custom-control custom-checkbox ml-1">
                          <input type="checkbox" name="radio_choice_image_delete[]" id="customCheck{{$loop->iteration}}" class="custom-control-input" value="@isset($row->image){{$row->image}}@endisset">
                          <label class="custom-control-label" for="customCheck{{$loop->iteration}}">{{ __("admin_messages.form_block.image_delete") }}</label>
                        </div>
                        <input type="file" name="choice_image[]" class="form-control type_select_input" accept=".jpg,.png,.gif,image/jpeg">
                        <i class="far fa-trash-alt trash_radio_choice_btn"></i>
                      </div>
                    @endforeach
                  </div>
                </div>
              </td>
            </tr>

            <tr class="hide-input radio-input">
              <th>{{ __("admin_messages.form_block.columns") }}</th>
              <td class="form-inline">
                <input type="number" name="columns" id="columns" class="form-control" value="{{old("columns") ? old("columns") : $data->columns}}">
              </td>
            </tr>

            {{--file--}}
            <tr class="hide-input file-input">
              <th>{{ __("admin_messages.form_block.file_type") }}</th>
              <td>
                <input type="text" name="file_type" id="file_type" class="form-control" value="{{old("file_type") ? old("file_type") : $data->file_type}}">
                <div class="row mt-1">
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('image/*');">{{ __("admin_messages.form_block.image") }}(image/*)</a>
                  </div>
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('application/pdf');">{{ __("admin_messages.form_block.pdf") }}（application/pdf）</a>
                  </div>
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('video/*');">{{ __("admin_messages.form_block.movie") }}（video/*）</a>
                  </div>
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('text/csv');">{{ __("admin_messages.form_block.csv") }}（text/csv）</a>
                  </div>
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('text/plain');">{{ __("admin_messages.form_block.text") }}（text/plain）</a>
                  </div>
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('image/jpeg');">{{ __("admin_messages.form_block.image_jpg") }}（image/jpeg）</a>
                  </div>
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('image/png,image/jpeg');">{{ __("admin_messages.form_block.image_jpg_png") }}（image/png,image/jpeg）</a>
                  </div>
                  <div class="col-3 mt-1">
                    <a class="btn btn-sm text-white btn-secondary col-12" onclick="$('#file_type').val('image/png,image/jpeg,image/gif');">{{ __("admin_messages.form_block.image_jpg_png_gif") }}（image/png,image/jpeg,image/gif）</a>
                  </div>
                </div>
              </td>
            </tr>
            <tr class="hide-input file-input">
              <th>{{ __("admin_messages.form_block.file_capacity_limit") }}（kbyte）</th>
              <td class="form-inline">
                <input type="number" name="file_capacity_limit" id="file_capacity_limit" class="form-control" value="{{old("file_capacity_limit") ? old("file_capacity_limit") : $data->file_capacity_limit}}">kbyte
                <span class="font80 w-100">1MB = 1024kbyte</span>
              </td>
            </tr>
            {{-- description --}}
            <tr class="init-tr">
              <th>{{__("admin_messages.form_block.description_above")}}</th>
              <td>
                <textarea type="text" name="description_above" id="editor" class="form-control">{{ $data->description_above ?? old('description_above')}}</textarea>
              </td>
            </tr>
            <tr class="init-tr">
              <th>{{__("admin_messages.form_block.description_below")}}</th>
              <td>
                <textarea type="text" name="description_below" id="editor2" class="form-control">{{ $data->description_below ?? old('description_below')}}</textarea>
              </td>
            </tr>

            @isset($append['admin_form_block_edit_form_item_bottom']){!! $append['admin_form_block_edit_form_item_bottom'] !!}@endisset
          </table>
        </form>
        @isset($append['admin_form_block_edit_under_form']){!! $append['admin_form_block_edit_under_form'] !!}@endisset
        <form action="{{ route("admin.form_block.destroy", $data->id) }}" method="post" id="delForm">
          @csrf
        </form>
      </div>
    </div>

  </div>

  <input type="hidden" id="delTarget">
  @include('admin.modal.deleteConfModal')
  @include('admin.include.editor')
  <style>
    .hide-input {
      display: none;
    }

    .fa-plus-square {
      color: cornflowerblue;
      font-size: 1.8rem;
      cursor: pointer;
    }

    .fa-trash-alt {
      color: #dc3545;
      margin-left: 5px;
      cursor: pointer;
    }

    input[type=file] {
      margin-left: 10px;
    }

    .form-inline .form-control.radio_choice_label_text, .form-inline .form-control.select_choice_label_text {
      width: 400px;
    }

    .choice_img {
      max-width: 100px;
      max-height: 100px;
      margin-left: 10px;
    }
  </style>
  <script>
    $ ( document ).ready ( function() {
      let select_choice_count = 0;
      let radio_choice_count  = 0;

      function all_hide () {
        $ ( ".select-input" ).addClass ( 'hide-input' );
        $ ( ".radio-input" ).addClass ( 'hide-input' );
        $ ( '.hide-input' ).hide ();
        $ ( '#radio_choice_wrap' ).html ( "" );
        $ ( '#select_choice_wrap' ).html ( "" );
        $ ( '.type_select_input' ).val ( "" );
      }

      $ ( '#form_type' ).on ( 'change', function() {
        all_hide ();
        if ( $ ( this ).val () == 'text' ||
          $ ( this ).val () == 'password' ||
          $ ( this ).val () == 'email' ||
          $ ( this ).val () == 'tel' ||
          $ ( this ).val () == 'url' ||
          $ ( this ).val () == 'number' ||
          $ ( this ).val () == 'textarea'
        ) {
          $ ( '.text-input' ).fadeIn ( 'fast' );
          $ ( '.init-tr' ).fadeIn ( 'fast' );
        }
        else if (
          $ ( this ).val () == 'date' ||
          $ ( this ).val () == 'datetime' ||
          $ ( this ).val () == 'month'
        ) {
          $ ( '.init-tr' ).fadeIn ( 'fast' );
        }
        else if ( $ ( this ).val () == 'select' || $ ( this ).val () == 'multi_select' ) {
          $ ( '.select-input' ).fadeIn ( 'fast' );
          $ ( '.init-tr' ).fadeIn ( 'fast' );
          add_select_choice_wrap ();
        }
        else if ( $ ( this ).val () == 'radio' || $ ( this ).val () == 'checkbox' ) {
          $ ( '.radio-input' ).fadeIn ( 'fast' );
          $ ( '.init-tr' ).fadeIn ( 'fast' );
          add_radio_choice_wrap ();
        }
        else if ( $ ( this ).val () == 'file' ) {
          $ ( '.file-input' ).fadeIn ( 'fast' );
          $ ( '.init-tr' ).fadeIn ( 'fast' );
        }
        else if ( $ ( this ).val () == 'zp_address' || $ ( this ).val () == 'first_last_name' ) {
          $ ( ".name_input" ).hide ();
          $ ( ".id_input" ).hide ();
          $ ( ".class_input" ).hide ();
        }
      } );

      $ ( '.add_select_choice_btn' ).on ( 'click', function() {
        add_select_choice_wrap ();
      } );
      $ ( '.add_radio_choice_btn' ).on ( 'click', function() {
        add_radio_choice_wrap ();
      } );

      $ ( document ).on ( 'click', '.trash_select_choice_btn', function() {
        $ ( this ).parent ().remove ();
        if ( select_choice_count > 0 ) select_choice_count--;
      } );

      $ ( document ).on ( 'click', '.trash_radio_choice_btn', function() {
        $ ( this ).parent ().remove ();
        if ( radio_choice_count > 0 ) radio_choice_count--;
      } );

      function add_select_choice_wrap () {
        let html = "<div class=\"row form-inline mb-1\">\n" +
          "<input type=\"text\" name=\"select_choice_label_text[]\" class=\"form-control type_select_input select_choice_label_text\" value=\"{{old('select_label_text"+select_choice_count+"')}}\">\n" +
          "<i class=\"far fa-trash-alt trash_select_choice_btn\"></i>" +
          "</div>\n";
        select_choice_count++;
        $ ( "#select_choice_wrap" ).append ( html );
      }

      function add_radio_choice_wrap () {
        let html = "<div class=\"row form-inline mb-1\">\n" +
          "<input type=\"text\" name=\"radio_choice_label_text[]\" class=\"form-control type_select_input radio_choice_label_text\" value=\"{{old('label_text"+radio_choice_count+"')}}\">\n" +
          "<div id=\"choice_image_place\"></div>\n" +
          "<input type=\"file\" name=\"choice_image[]\" class=\"form-control type_select_input\" accept=\".jpg,.png,.gif,image/jpeg\">\n" +
          "<i class=\"far fa-trash-alt trash_radio_choice_btn\"></i>" +
          "</div>\n";
        radio_choice_count++;
        $ ( "#radio_choice_wrap" ).append ( html );
      }

      /**
       * フォームタイプ別に表示
       */
      if ( $ ( '#form_type' ).val () == 'text' || $ ( '#form_type' ).val () == 'password' || $ ( '#form_type' ).val () == 'textarea' ) {
        $ ( '.text-input' ).fadeIn ( 'fast' );
      }
      else if ( $ ( '#form_type' ).val () == 'select' || $ ( '#form_type' ).val () == 'multi_select' ) {
        $ ( '.select-input' ).fadeIn ( 'fast' );
      }
      else if ( $ ( '#form_type' ).val () == 'radio' || $ ( '#form_type' ).val () == 'checkbox' ) {
        $ ( '.radio-input' ).fadeIn ( 'fast' );
      }
      else if ( $ ( '#form_type' ).val () == 'file' ) {
        $ ( '.file-input' ).fadeIn ( 'fast' );
      }
    } );
  </script>
  @isset($append['admin_form_block_edit_form_bottom_section']){!! $append['admin_form_block_edit_form_bottom_section'] !!}@endisset
@endsection
