@extends('admin.layout')
@section('title', __("admin_messages.page_title_history") ." | ". __("admin_messages.page_title"))
@section('description', __("admin_messages.page_description"))
@section('content')
  <div class="container-fluid">
    <div class="row mt-3 mb-1">
      <div class="col-4">
        <h3 class="page-header">{{__("admin_messages.menu.history")}}</h3>
      </div>
      <div class="col-8 text-right">
        <form action="{{route("admin.history.list_in_form")}}" method="post" id="list_in_form">
          @csrf
          <select id="list_in_form_select" name="form_id" class="form-control w-25 float-right" onchange="this.form.submit();">
            <option value="">{{ __("admin_messages.history.select_form_history") }}</option>
            @foreach($forms as $form)
              <option value="{{$form->id}}">{{$form->name}}</option>
            @endforeach
          </select>
        </form>
      </div>
    </div>

    @include("admin.include.message")
    <div class="table-responsive">
      @isset($append['admin_history_upper_table']){!! $append['admin_history_upper_table'] !!}@endisset
      <table id="data_table" class="table table-hover" cellspacing="0" width="100%">
        <thead>
        <tr>
          <th style="width: 150px;">{{ __("admin_messages.history.date_and_time_of_reception") }}</th>
          <th>内容</th>
        </tr>
        </thead>
        <tbody>
        @foreach($data as $row)
          <tr>
            <td>{{$row->created_at}}</td>
            <td class="font80">
              <div class="container-fluid">
                <form action="{{ route('admin.history.destroy', $row->id) }}" method="post" id="{{$row->id}}">
                  @csrf
                </form>
                <a href="javascript:void (0);" data-id="{{$row->id}}" class="btn btn-sm btn-danger listDeleteBtn float-right" data-toggle="tooltip" title="{{ __("admin_messages.delete") }}">
                  <i class="fas fa-trash" style="color: #fff;"></i>
                </a>
                <div class="row">
                  <span class="col-4">{{ __("admin_messages.history.form_name") }}</span>
                  <span class="col-8">{{$row->form_name}}</span>
                </div>
                <div class="row">
                  <span class="col-4">{{ __("admin_messages.history.receiving_address") }}</span>
                  <span class="col-8">{{$row->admin_email}}</span>
                </div>
                <div class="row">
                  <span class="col-4">{{ __("admin_messages.history.subject") }}</span>
                  <span class="col-8">{{$row->mail_title}}</span>
                </div>
                @if($row->bcc_email)
                  <div class="row">
                    <span class="col-4">{{ __("admin_messages.history.bcc_email") }}</span>
                    <span class="col-8">{{$row->bcc_email}}</span>
                  </div>
                @endif
                @if($row->cc_email)
                  <div class="row">
                    <span class="col-4">{{ __("admin_messages.history.cc_email") }}</span>
                    <span class="col-8">{{$row->cc_email}}</span>
                  </div>
                @endif
                <div class="row">
                  <span class="col-4">{{ __("admin_messages.history.conf_mail") }}</span>
                  <span class="col-8"> {{$row->conf_mail_flag == 1 ? __("admin_messages.yes") : __("admin_messages.no")}}</span>
                </div>
                <div class="row">
                  <span class="col-4">{{ __("admin_messages.history.include_submissions") }}</span>
                  <span class="col-8">{{$row->include_submissions == 1 ? __("admin_messages.yes") : __("admin_messages.no")}}</span>
                </div>
                <div class="row">
                  <span class="col-4">{{ __("admin_messages.history.include_submissions_admin_email") }}</span>
                  <span class="col-8">{{$row->include_submissions_admin_email == 1 ? __("admin_messages.yes") : __("admin_messages.no")}}</span>
                </div>
                <span class="row border-top border-dark mt-2">
                  <span class="col-1">
                    <p>{{ __("admin_messages.history.received_content") }}</p>
                  </span>
                  <span class="col-9 text-break">
                    @foreach($row->content as $key => $content_row)
                      @if($content_row->form_type == "file")
                        @continue
                      @endif
                      <span class="row">
                          <span class="col-4">{{$content_row->title}}</span>
                              @if(@is_string($content_row->value))
                          <span class="col-8"> {!! nl2br($content_row->value) !!}</span>
                        @else
                          <span class="col-8"></span>
                        @endif
                          </span>
                    @endforeach
                  </span>
                  <span class="col-1 text-break">
                  </span>
                </span>
              </div>
            </td>
          </tr>
        @endforeach
        </tbody>
      </table>
      @isset($append['admin_history_under_table']){!! $append['admin_history_under_table'] !!}@endisset
    </div>
    <input type="hidden" id="delTarget">
  </div>

  @include('admin.modal.deleteConfModal')
  @include('admin.include.list_bottom')
  @isset($append['admin_history_bottom_section']){!! $append['admin_history_bottom_section'] !!}@endisset
@endsection
