@extends('admin.layout')
@section('title', __("admin_messages.page_title_theme") ." | ". __("admin_messages.page_title"))
@section('description', __("admin_messages.page_description"))
@section('content')
    <div class="container-fluid">
        <div class="row mt-3">
            <h4 class="page-header">
                {{ __("admin_messages.menu.theme") }}
            </h4>
        </div>
        @include("admin.include.message")
        <div class="d-flex flex-wrap align-content-stretch">
            @foreach( $theme as $theme_row)
                <div class="col-3 mt-3 animated flipInY text-center">
                    <div class="border rounded p-3 shadow-sm h-100" style="min-height: 250px;">
                        <div class="col-12 mb-4">
                            <img src="{{$theme_row->screen_shot}}" class="img-fluid col-12" style="max-height: 200px; max-width: 200px;"/>
                            <p>{{$theme_row->theme_name}}</p>
                        </div>
                        <div class="col-12 theme_detail_btn_wrap p-0">
                            <a href="{{route("admin.theme.show", $theme_row->theme_name)}}" class="">
                                <i class="far fa-edit"></i>
                            </a>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>

    </div>
@endsection
